Yaf_Application
Yaf_Application::bootstrap
Yaf_Application
PHP Manual

# Yaf_Application::app

(Yaf >=1.0.0)

Yaf_Application::app — Retrieve an Application instance

### Description

public static void Yaf_Application::app ( void )

Retrieve the Yaf_Application instance. Alternatively, we also could use Yaf_Dispatcher::getApplication().

### Parameters

This function has no parameters.

### Return Values

A Yaf_Application instance, if no Yaf_Application was initialized before, `NULL` will be returned.

### See Also

- Yaf_Dispatcher::getApplication() - Retrive the application

Yaf_Application
Yaf_Application::bootstrap
Yaf_Application
PHP Manual